// components/advertisement.js
const Http = require("../../utils/HttpBasics");
var config = require("../../config/config.js");
Component({
  properties: {
    ggdata: {
      type: Object,
      value: {}
    }
  },
  data: {
    flag: false,
    alphaData1: null,
  },
  methods: {
    gotoGg: function (e) {
      console.log(this.data.ggdata)
      let that = this;
      /* wx.navigateTo({
        url: '/pages/coupon/detail/index?couponChannelId=' + e.currentTarget.dataset.data.produceId+'&g=1',
      }) */
      wx.navigateTo({
        url: `/${that.data.ggdata.pagePath}&g=1`,
      })
    },
    a: function () {
      this.setData({ flag: false })
    },
    closeGg: function () {
      let that = this;
      var animation = wx.createAnimation({})
      // animation.opacity(0).step({ duration: 1000 })
      setTimeout(function () {
        that.setData({ flag: true })
      }, 500)
      animation.rotateZ(180).scale(0).opacity(0.5).step({ duration: 1000 })
      that.setData({ alphaData1: animation.export() });
    },
  },
});
